package com.gtiit.shr.common;

import com.fasterxml.jackson.annotation.JsonFormat;
import java.io.Serializable;
import java.util.Date;

public class QueryPageBean implements Serializable {
    private Integer currentPage;
    private Integer pageSize;
    private String taskType;
    private String type;
    @JsonFormat(
            locale = "zh",
            timezone = "GMT+8",
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private Date startDate;
    @JsonFormat(
            locale = "zh",
            timezone = "GMT+8",
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private Date endDate;
    private String isSucess;


    public Integer getCurrentPage() {
        return this.currentPage;
    }

    public Integer getPageSize() {
        return this.pageSize;
    }

    public String getTaskType() {
        return this.taskType;
    }

    public String getType() {
        return this.type;
    }

    public Date getStartDate() {
        return this.startDate;
    }

    public Date getEndDate() {
        return this.endDate;
    }

    public String getIsSucess() {
        return this.isSucess;
    }

    public void setCurrentPage(final Integer currentPage) {
        this.currentPage = currentPage;
    }

    public void setPageSize(final Integer pageSize) {
        this.pageSize = pageSize;
    }

    public void setTaskType(final String taskType) {
        this.taskType = taskType;
    }

    public void setType(final String type) {
        this.type = type;
    }

    @JsonFormat(
            locale = "zh",
            timezone = "GMT+8",
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    public void setStartDate(final Date startDate) {
        this.startDate = startDate;
    }

    @JsonFormat(
            locale = "zh",
            timezone = "GMT+8",
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    public void setEndDate(final Date endDate) {
        this.endDate = endDate;
    }

    public void setIsSucess(final String isSucess) {
        this.isSucess = isSucess;
    }

    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof QueryPageBean)) {
            return false;
        } else {
            QueryPageBean other = (QueryPageBean)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                label95: {
                    Object this$currentPage = this.getCurrentPage();
                    Object other$currentPage = other.getCurrentPage();
                    if (this$currentPage == null) {
                        if (other$currentPage == null) {
                            break label95;
                        }
                    } else if (this$currentPage.equals(other$currentPage)) {
                        break label95;
                    }

                    return false;
                }

                Object this$pageSize = this.getPageSize();
                Object other$pageSize = other.getPageSize();
                if (this$pageSize == null) {
                    if (other$pageSize != null) {
                        return false;
                    }
                } else if (!this$pageSize.equals(other$pageSize)) {
                    return false;
                }

                Object this$taskType = this.getTaskType();
                Object other$taskType = other.getTaskType();
                if (this$taskType == null) {
                    if (other$taskType != null) {
                        return false;
                    }
                } else if (!this$taskType.equals(other$taskType)) {
                    return false;
                }

                label74: {
                    Object this$type = this.getType();
                    Object other$type = other.getType();
                    if (this$type == null) {
                        if (other$type == null) {
                            break label74;
                        }
                    } else if (this$type.equals(other$type)) {
                        break label74;
                    }

                    return false;
                }

                label67: {
                    Object this$startDate = this.getStartDate();
                    Object other$startDate = other.getStartDate();
                    if (this$startDate == null) {
                        if (other$startDate == null) {
                            break label67;
                        }
                    } else if (this$startDate.equals(other$startDate)) {
                        break label67;
                    }

                    return false;
                }

                Object this$endDate = this.getEndDate();
                Object other$endDate = other.getEndDate();
                if (this$endDate == null) {
                    if (other$endDate != null) {
                        return false;
                    }
                } else if (!this$endDate.equals(other$endDate)) {
                    return false;
                }

                Object this$isSucess = this.getIsSucess();
                Object other$isSucess = other.getIsSucess();
                if (this$isSucess == null) {
                    if (other$isSucess != null) {
                        return false;
                    }
                } else if (!this$isSucess.equals(other$isSucess)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof QueryPageBean;
    }

    public int hashCode() {
        boolean  PRIME = true;
        int result = 1;
        Object $currentPage = this.getCurrentPage();
        result = result * 59 + ($currentPage == null ? 43 : $currentPage.hashCode());
        Object $pageSize = this.getPageSize();
        result = result * 59 + ($pageSize == null ? 43 : $pageSize.hashCode());
        Object $taskType = this.getTaskType();
        result = result * 59 + ($taskType == null ? 43 : $taskType.hashCode());
        Object $type = this.getType();
        result = result * 59 + ($type == null ? 43 : $type.hashCode());
        Object $startDate = this.getStartDate();
        result = result * 59 + ($startDate == null ? 43 : $startDate.hashCode());
        Object $endDate = this.getEndDate();
        result = result * 59 + ($endDate == null ? 43 : $endDate.hashCode());
        Object $isSucess = this.getIsSucess();
        result = result * 59 + ($isSucess == null ? 43 : $isSucess.hashCode());
        return result;
    }

    public String toString() {
        return "QueryPageBean(currentPage=" + this.getCurrentPage() + ", pageSize=" + this.getPageSize() + ", taskType=" + this.getTaskType() + ", type=" + this.getType() + ", startDate=" + this.getStartDate() + ", endDate=" + this.getEndDate() + ", isSucess=" + this.getIsSucess() + ")";
    }
}
